Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.federation.impl
Class FederatedPortletInvokerService

    java.lang.Object
      org.jboss.portal.portlet.federation.impl.FederatedPortletInvokerService

All Implemented Interfaces:
  FederatedPortletInvoker, PortletInvoker

    public class FederatedPortletInvokerService

extends java.lang.Object
implements FederatedPortletInvoker

Since:
  2.4
Version:
  $Revision: 5943 $
Author:
  Julien Viet

Constructor Summary
`FederatedPortletInvokerService(FederatingPortletInvoker federatingPortletInvoker, java.lang.String id, PortletInvoker portletInvoker)`

Method Summary
`PortletContext` | `createClone(PortletContext compoundPortletContext)` Clone a portlet.
`java.util.List<DestroyCloneFailure>` | `destroyClones(java.util.List<PortletContext> portletContexts)` Destroy a cloned portlet.
`FederatingPortletInvoker` | `getFederatingPortletInvoker()`
`java.lang.String` | `getId()` Return the invoker id.
`Portlet` | `getPortlet(PortletContext compoundPortletContext)` Get information about a specific portlet.
`PortletInvoker` | `getPortletInvoker()` Return the underlying portlet invoker.
`java.util.Set<Portlet>` | `getPortlets()` Return the set of portlet exposed.
`PropertyMap` | `getProperties(PortletContext compoundPortletContext)` Return all the properties of the specified portlet.
`PropertyMap` | `getProperties(PortletContext compoundPortletContext, java.util.Set<java.lang.String> keys)` Return a subset of the properties of the specified portlet.
`PortletInvocationResponse` | `invoke(PortletInvocation invocation)` Invoke an operation on a specific portlet.
`PortletContext` | `setProperties(PortletContext compoundPortletContext, PropertyChange[] changes)` Set the properties on the specified portlet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FederatedPortletInvokerService

    public FederatedPortletInvokerService(FederatingPortletInvoker federatingPortletInvoker,
                                          java.lang.String id,
                                          PortletInvoker portletInvoker)

Method Detail

### getPortletInvoker

    public PortletInvoker getPortletInvoker()

  Description copied from interface: `FederatedPortletInvoker`
  Return the underlying portlet invoker.

  Specified by:
    `getPortletInvoker` in interface `FederatedPortletInvoker`
  Returns:
    the underlying portlet invoker

### getId

    public java.lang.String getId()

  Description copied from interface: `FederatedPortletInvoker`
  Return the invoker id.

  Specified by:
    `getId` in interface `FederatedPortletInvoker`
  Returns:
    the invoker id

### getFederatingPortletInvoker

    public FederatingPortletInvoker getFederatingPortletInvoker()

### getPortlets

    public java.util.Set<Portlet> getPortlets()
                                       throws PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Return the set of portlet exposed.

  Specified by:
    `getPortlets` in interface `PortletInvoker`
  Returns:
    the set of exposed portlets
  Throws:
    `PortletInvokerException` - a portlet invoker exception

### getPortlet

    public Portlet getPortlet(PortletContext compoundPortletContext)
                       throws java.lang.IllegalArgumentException,
                              PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Get information about a specific portlet.

  Specified by:
    `getPortlet` in interface `PortletInvoker`
  Parameters:
    `compoundPortletContext` - the portlet context in the scope of this invoker
  Returns:
    the `PortletInfo` for the specified portlet
  Throws:
    `java.lang.IllegalArgumentException` - if the portlet context is null
    `PortletInvokerException` - a portlet invoker exception

### invoke

    public PortletInvocationResponse invoke(PortletInvocation invocation)
                                     throws org.jboss.portal.common.invocation.InvocationException,
                                            PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Invoke an operation on a specific portlet.

  Specified by:
    `invoke` in interface `PortletInvoker`
  Parameters:
    `invocation` - the portlet invocation
  Returns:
    the invocation response
  Throws:
    `PortletInvokerException` - a portlet invoker exception
    `org.jboss.portal.common.invocation.InvocationException`

### createClone

    public PortletContext createClone(PortletContext compoundPortletContext)
                               throws PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Clone a portlet.

  Specified by:
    `createClone` in interface `PortletInvoker`
  Parameters:
    `compoundPortletContext` - the portlet context to clone
  Returns:
    the clone id
  Throws:
    `PortletInvokerException` - a portlet invoker exception

### destroyClones

    public java.util.List<DestroyCloneFailure> destroyClones(java.util.List<PortletContext> portletContexts)
                                                      throws java.lang.IllegalArgumentException,
                                                             PortletInvokerException,
                                                             java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Destroy a cloned portlet.

  Specified by:
    `destroyClones` in interface `PortletInvoker`
  Parameters:
    `portletContexts` - a list of portlet contexts to destroy
  Returns:
    a list of `DestroyCloneFailure`, one per clone that couldn't be destroyed
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext is null
    `PortletInvokerException` - a portlet invoker exception
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation

### getProperties

    public PropertyMap getProperties(PortletContext compoundPortletContext)
                              throws PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Return all the properties of the specified portlet.

  Specified by:
    `getProperties` in interface `PortletInvoker`
  Parameters:
    `compoundPortletContext` - the portlet context
  Returns:
    the properties
  Throws:
    `PortletInvokerException` - a portlet invoker exception

### getProperties

    public PropertyMap getProperties(PortletContext compoundPortletContext,
                                     java.util.Set<java.lang.String> keys)
                              throws java.lang.IllegalArgumentException,
                                     PortletInvokerException,
                                     java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Return a subset of the properties of the specified portlet.

  Specified by:
    `getProperties` in interface `PortletInvoker`
  Parameters:
    `compoundPortletContext` - the portlet context
    `keys` - the set of keys to retrieve
  Returns:
    the properties
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext or the keys arguments are null
    `PortletInvokerException` - a portlet invoker exception
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation

### setProperties

    public PortletContext setProperties(PortletContext compoundPortletContext,
                                        PropertyChange[] changes)
                                 throws java.lang.IllegalArgumentException,
                                        PortletInvokerException,
                                        java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Set the properties on the specified portlet.

  Specified by:
    `setProperties` in interface `PortletInvoker`
  Parameters:
    `compoundPortletContext` - the portlet context
    `changes` - the changes
  Returns:
    the new portlet context
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext or the properties is null
    `PortletInvokerException` - a portlet invoker exception
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.